package com.usky.website.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.website.domain.SiteReview;
import com.usky.common.mybatis.core.CrudService;
import com.usky.website.service.vo.SiteReviewExportVO;
import com.usky.website.service.vo.SiteReviewRequestVO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 官网_客户信息反馈表 服务类
 * </p>
 *
 * @author zyj
 * @since 2024-01-12
 */
public interface SiteReviewService extends CrudService<SiteReview> {
    void add(SiteReview siteReview);

    CommonPage<SiteReview> page(SiteReviewRequestVO requestVO);

    void edit(SiteReview siteReview);

    List<SiteReviewExportVO> recordListExport(SiteReviewRequestVO requestVO);

}
